SSL certificate for moodle.org

Saltar a: navegación, buscar

Moodle 2.4

Resumen

Cuando Usted, como administrador, intenta revisar si existen actualizaciones disponibles o instalar una actualización, su sitio Moodle necesita comunicarse con moodle.org. Esta comunicación se hace por medio del protocolo seguro HTTPS. Su sitio Moodle valida el certificado SSL certificate de moodle.org (como en Moodle plugins directory) y verifica su identidad. Para pasar esta verificación, debe existir un certificado (en el formato PEM) de la autoridad certificadora (CA) que emitió el certificado para moodle.org instalado en su servidor.

El certificado SSL para moodle.org ha sido emitido por DigiCert CA.

Problema

Si este certificado CA faltara, el sitio remoto (moodle.org) no puede ser verificado y por esta razón su sitio Moodle se negará a obtener los datos que necesita (para protegerlo a Usted en contra de algún ataque del estilo de intermediario(man-in-the-middle)). La localización exacta del certificado en su servidor Moodle depende del tipo de Sistema Operativo y otras configuraciones. En servidores Linux, tipicamente se encuentra en /usr/share/ca-certificates/mozilla/DigiCert_High_Assurance_EV_Root_CA.crt por ejemplo.

Un certificado CA faltante resulta en un error al revisar si existen actualizaciones disponibles y al intentar instalarlas.

Soluciones

Actualice su sistema operativo (recomendado)

La forma recomendada para arreglar este problema es actualizar el sistema operativo de su servidor, de manera que tenga certificados SSL recientes de las autoridades certificadoras comunes. Para las distribuciones Debian y RedHat de Linux , estos certificados son distribuidos en el paquete ca-certificates. Los servidores Gentoo los proporcionan mediante app-misc/ca-certificates ebuild. También es una buena idea asegurarse de que las librerías (bibliotecas) OpenSSL(libssl) y cURL (libcurl) estén actualizadas en su servidor.

Proporcione manualmente el certificado (parche temporal de emergencia)

Si el actualizar el sistema operativo no fuera una opción viable, y el administrador del servidor no quiere o no puede actualizar el certificado CA en el servidor (aunque no existe ninguna buena razón para no hacerlo), un parche posible es descargar el conjunto de certificados requeridos del sitio cURL. Usted necesita descargar el archivo cacert.pem de este sitio y poner el texto que contiene en el archivo moodledata/moodleorgca.crt (esto es: en firefox haga 'guardar como' para que descargue el archivo cacert.pem, cámbiele el nombre a moodleorgca.crt y póngalo en la carpeta mooodledata). Si este archivoI se encuentra en moodledata, Moodle lo usará en lugar de confiar en los certificados proporcionados por el sistema operativo.

Debe resaltarse que la solución recomendada es tener el certificado CA en su sistema operativo tal como se describió anteriormente. La solución basada en on moodleorgca.crt solamente debería considerarse como un parche temporal.

    Este error también pudiera deberse a que su sitio Moodle estuviera configurado para correr detrás de un servidor proxy mal configurado.

INFORMACIÓN ADICIONAL MUY IMPORTANTE PARA USUARIOS DEL PAQUETE DE MOODLE BAJO WINDOWS

Este error al intentar revisar actualizaciones disponibles de Moodle y/o de sus plugins ha sido descrito en https://moodle.org/mod/forum/discuss.php?d=218800 y la solución es la siguiente:

Hay que obtener el archivo ca-bundle.crt disponible en http://curl.haxx.se/ca/cacert.pem - Simplemente copie el contenido de esa página de texto (en firefox hacer un "guardar como") hacia un archivo de texto con el nombre moodleorgca.crt y ponga este archivo en el subdirectorio moodledata.